Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1075026

Summary: Review Request: nodejs-express-session - A module to setup a session store with the given options
Product: [Fedora] Fedora Reporter: Jamie Nguyen <jamielinux>
Component: Package ReviewAssignee: Tom Hughes <tom>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: package-review, tom
Target Milestone: ---Flags: tom: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-03-15 16:37:11 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 956806, 1003338    

Description Jamie Nguyen 2014-03-11 11:30:53 UTC
Spec URL: http://jamielinux.fedorapeople.org/connect/nodejs-express-session.spec
SRPM URL: http://jamielinux.fedorapeople.org/connect/SRPMS/nodejs-express-session-1.0.2-1.fc21.src.rpm
Fedora Account System Username: jamielinux

Description:
A module to setup a session store with the given options.

Comment 1 Tom Hughes 2014-03-12 20:41:15 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[-]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.1.36 starting...
Start: init plugins
INFO: selinux disabled
Finish: init plugins
Start: run
Mock Version: 1.1.36
INFO: Mock Version: 1.1.36
Start: lock buildroot
INFO: installing package(s): /home/tom/1075026-nodejs-express-session/results/nodejs-express-session-1.0.2-1.fc21.noarch.rpm
ERROR: Command failed: 
 # ['/usr/bin/yum', '--installroot', '/var/lib/mock/compton-rawhide-x86_64/root/', 'install', '/home/tom/1075026-nodejs-express-session/results/nodejs-express-session-1.0.2-1.fc21.noarch.rpm']
Error: Package: nodejs-express-session-1.0.2-1.fc21.noarch (/nodejs-express-session-1.0.2-1.fc21.noarch)
           Requires: npm(cookie-signature) = 1.0.3
           Available: nodejs-cookie-signature-1.0.1-3.fc20.noarch (fedora)
               npm(cookie-signature) = 1.0.1
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest



Rpmlint
-------
Checking: nodejs-express-session-1.0.2-1.fc21.noarch.rpm
          nodejs-express-session-1.0.2-1.fc21.src.rpm
nodejs-express-session.noarch: W: only-non-binary-in-usr-lib
nodejs-express-session.noarch: W: dangling-symlink /usr/lib/node_modules/express-session/node_modules/uid2 /usr/lib/node_modules/uid2
nodejs-express-session.noarch: W: dangling-symlink /usr/lib/node_modules/express-session/node_modules/cookie-signature /usr/lib/node_modules/cookie-signature
nodejs-express-session.noarch: W: dangling-symlink /usr/lib/node_modules/express-session/node_modules/utils-merge /usr/lib/node_modules/utils-merge
nodejs-express-session.noarch: W: dangling-symlink /usr/lib/node_modules/express-session/node_modules/cookie /usr/lib/node_modules/cookie
nodejs-express-session.noarch: W: dangling-symlink /usr/lib/node_modules/express-session/node_modules/debug /usr/lib/node_modules/debug
nodejs-express-session.noarch: W: dangling-symlink /usr/lib/node_modules/express-session/node_modules/buffer-crc32 /usr/lib/node_modules/buffer-crc32
2 packages and 0 specfiles checked; 0 errors, 7 warnings.




Requires
--------
nodejs-express-session (rpmlib, GLIBC filtered):
    nodejs(engine)
    npm(buffer-crc32)
    npm(cookie)
    npm(cookie-signature)
    npm(debug)
    npm(uid2)
    npm(utils-merge)



Provides
--------
nodejs-express-session:
    nodejs-express-session
    npm(express-session)



Source checksums
----------------
http://registry.npmjs.org/express-session/-/express-session-1.0.2.tgz :
  CHECKSUM(SHA256) this package     : 7785e0527e17195b28a1fe543d983445db04da0eba87230eed117e972069518b
  CHECKSUM(SHA256) upstream package : 7785e0527e17195b28a1fe543d983445db04da0eba87230eed117e972069518b


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -m compton-rawhide-x86_64 -b 1075026
Buildroot used: compton-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 2 Tom Hughes 2014-03-12 20:41:58 UTC
Needs the newer cookie-signature, but looks good. Package approved.

Comment 3 Jamie Nguyen 2014-03-12 20:43:19 UTC
New Package SCM Request
=======================
Package Name: nodejs-express-session
Short Description: A module to setup a session store with the given options
Owners: jamielinux patches
Branches: f19 f20 el6
InitialCC:

Comment 4 Gwyn Ciesla 2014-03-13 12:24:55 UTC
Git done (by process-git-requests).